% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/causal_data.R
\name{summary.data_observed}
\alias{summary.data_observed}
\title{Summary method for data_observed objects}
\usage{
\method{summary}{data_observed}(object, ...)
}
\arguments{
\item{object}{A \code{data_observed} object}

\item{...}{Additional arguments passed to summary}
}
\value{
A data frame containing model coefficients, standard errors,
confidence intervals, and p-values. For binary outcomes,
coefficients are exponentiated to show odds ratios.
}
\description{
Provides a statistical summary of the observed data by fitting either:
\itemize{
\item A logistic regression model for binary outcomes
\item A linear regression model for continuous outcomes
}

The model includes the exposure and all confounders as predictors.
For binary outcomes, estimates are exponentiated to show odds ratios.
}
\keyword{internal}
